clang-tools 8.0.0

Namespaces | Functions
Diagnostics.cpp File Reference
`#include "Diagnostics.h"`
`#include "Compiler.h"`
`#include "Logger.h"`
`#include "SourceCode.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Lex/Lexer.h"`
`#include "llvm/Support/Capacity.h"`
`#include "llvm/Support/Path.h"`
`#include <algorithm>`
Include dependency graph for Diagnostics.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const DiagBase &D)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Fix &F)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const Diag &D)
CodeAction | clang::clangd::toCodeAction (const Fix &D, const URIForFile &File)
| Convert from Fix to LSP CodeAction. More...
void | clang::clangd::toLSPDiags (const Diag &D, const URIForFile &File, const ClangdDiagnosticOptions &Opts, llvm::function_ref< void(clangd::Diagnostic, llvm::ArrayRef< Fix >)> OutFn)
| Conversion to LSP diagnostics. More...
int | clang::clangd::getSeverity (DiagnosticsEngine::Level L)
| Convert from clang diagnostic level to LSP severity. More...